Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.common.fulltext
Class FullTextResultSet

    java.lang.Object
      com.dbxml.db.common.query.ResultSetBase
          com.dbxml.db.common.fulltext.FullTextResultSet

All Implemented Interfaces:
  ResultSet

public final class FullTextResultSet
extends ResultSetBase

FullTextResultSet

Field Summary

Fields inherited from interface com.dbxml.db.core.query.ResultSet
`RESULT_ANYURI, RESULT_ATTRIBUTE, RESULT_BASE64BINARY, RESULT_BOOLEAN, RESULT_CDATA, RESULT_COMMENT, RESULT_DATE, RESULT_DATETIME, RESULT_DECIMAL, RESULT_DOCUMENT, RESULT_DOUBLE, RESULT_DURATION, RESULT_ELEMENT, RESULT_FLOAT, RESULT_GDAY, RESULT_GMONTH, RESULT_GMONTHDAY, RESULT_GYEAR, RESULT_GYEARMONTH, RESULT_HEXBINARY, RESULT_PROCINST, RESULT_QNAME, RESULT_STRING, RESULT_TEXT, RESULT_TIME`

Constructor Summary
`FullTextResultSet(Transaction tx, Collection context, Query query, Key[] keySet)`

Method Summary
`DocumentTable` | `getResult()` getResult returns the result as a DocumentTable structure.
`int` | `getResultType()` getResultType returns the type of the object that the ResultSet cursor currently points to.
`boolean` | `next()` next moves the cursor down one object from its current position.

Methods inherited from class com.dbxml.db.common.query.ResultSetBase
`close, getCollection, getCount, getQuery, getResultCollection, getResultKey`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FullTextResultSet

    public FullTextResultSet(Transaction tx,
                             Collection context,
                             Query query,
                             Key[] keySet)

Method Detail

### next

    public boolean next()
                 throws QueryException

  Description copied from interface: `ResultSet`
  next moves the cursor down one object from its current position. A ResultSet cursor is initially positioned before the first object; the first call to the method next makes the first object the current object; the second call makes the second object the current object, and so on.

  Returns:
    true if there is another object, false otherwise
  Throws:
    `QueryException`

### getResultType

    public int getResultType()
                      throws QueryException

  Description copied from interface: `ResultSet`
  getResultType returns the type of the object that the ResultSet cursor currently points to. Based on this value, an appropriate result accessor method can be chosen.

  Returns:
    the result type (ex: RESULT_DOCUMENT)
  Throws:
    `QueryException`

### getResult

    public DocumentTable getResult()
                            throws QueryException

  Description copied from interface: `ResultSet`
  getResult returns the result as a DocumentTable structure.

  Returns:
    The result DocumentTable
  Throws:
    `QueryException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group